%global debug_package %{nil}

%global srcver 1.7.3
#global srcpre rc1
%global urlver %{srcver}%{?srcpre:-%{srcpre}}
%global pkgver %{srcver}%{?srcpre:~%{srcpre}}

Name:       opentofu
Version:    %{pkgver}
Release:    1%{?dist}
Summary:    A tool for building, changing, and versioning infrastructure.
License:    MPL-2.0
URL:        https://opentofu.org
Source0:    https://github.com/opentofu/opentofu/archive/refs/tags/v%{urlver}.tar.gz
Source1:    %{name}-%{version}-vendored-deps.tar.gz
Source2:    bundled.inc

BuildRequires:  golang >= 1.21
%include        %SOURCE2

%description
OpenTofu enables you to safely and predictably create, change, and
improve infrastructure. It is an open source tool that codifies APIs
into declarative configuration files that can be shared amongst team
members, treated as code, edited, reviewed, and versioned.


%prep
%if "%{?srcpre}"
%autosetup -n %{name}-%{urlver}
%else
%autosetup
%endif

tar -xf %SOURCE1 --strip-components=1


%build
export CGO_ENABLED=0
go build -o ./tofu -ldflags "-s -w -X 'github.com/opentofu/opentofu/version.dev=no'" -mod=vendor ./cmd/tofu


%install
install -D -m 0755 tofu %{buildroot}%{_bindir}/tofu


%files
%doc README.md CHANGELOG.md CODEOWNERS
%license LICENSE
%{_bindir}/tofu


%changelog
* Wed Jul 10 2024 Mike Rochefort <mroche@omenos.dev> - 1.7.3-1
- Update to v1.7.3

* Wed Jun 05 2024 Mike Rochefort <mroche@omenos.dev> - 1.7.2-1
- Update to v1.7.2

* Wed May 08 2024 Mike Rochefort <mroche@omenos.dev> - 1.7.1-1
- Update to v1.7.1

* Tue Apr 30 2024 Mike Rochefort <mroche@omenos.dev> - 1.7.0-1
- Update to v1.7.0

* Thu Feb 22 2024 Mike Rochefort <mroche@omenos.dev> - 1.6.2-1
- Update to v1.6.2

* Wed Jan 24 2024 Mike Rochefort <mroche@omenos.dev> - 1.6.1-1
- Update to v1.6.1

* Thu Jan 11 2024 Mike Rochefort <mroche@omenos.dev> - 1.6.0-1
- Update to v1.6.0 GA

* Wed Dec 20 2023 Mike Rochefort <mroche@omenos.dev> - 1.6.0~rc1-1
- Update to v1.6.0-rc1

* Fri Dec 08 2023 Mike Rochefort <mroche@omenos.dev> - 1.6.0~beta3-1
- Update to 1.6.0-beta3

* Mon Dec 04 2023 Mike Rochefort <mroche@omenos.dev> - 1.6.0~beta2-1
- Update to 1.6.0-beta2

* Fri Dec 01 2023 Mike Rochefort <mroche@omenos.dev> - 1.6.0~beta1-1
- Update to 1.6.0-beta1

* Mon Nov 27 2023 Mike Rochefort <mroche@omenos.dev> - 1.6.0~alpha5-1
- Update to 1.6.0-alpha5

* Wed Nov 01 2023 Mike Rochefort <mroche@omenos.dev> - 1.6.0~alpha3-1
- Initial build of OpenTofu
